Bug 55429 - Synching a Handspring fails when using USB
Synching a Handspring fails when using USB
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: pilot-link (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-30 20:50 EST by Jim Levie
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-04 16:31:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Levie 2001-10-30 20:50:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011014

Description of problem:
Attemping to synch a Handspring Visor via a USB cradle fails. When trying
desktop tools the operation simply hangs. Trying 'pilot-xfer --list' (hit
hot sync button then run pilot-xfer) results in an error message of "wierd
packet" and "Error accepting data from /dev/pilot".

/dev/usb/ttyUSB0 & 1 are owned by the user and /dev/usb/ttyUSB1 is sym
linked to /dev/pilot. The hardware is believed to all be good and would
synch properly when the system ran 7.1 with 2.4.3-12 kernel. Neither the
2.4.7-10 nor the 2.4.9-7 kernel allow synch to occur. Synch also fails
whether the RedHat desktop or Ximian desktop is used.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Press the Hotsync button
2.execute pilot-xfer -p /dev/usb/ttyUSB1 --list
3.Meditate upon error messages
	

Actual Results:  chaos> pilot-xfer -p /dev/usb/ttyUSB1 --list
   Port: /dev/usb/ttyUSB1

   Please press the HotSync button now...
Weird packet

   Error accepting data on /dev/usb/ttyUSB1
pi_accept: Input/output error



Expected Results:  The contents of the Handspring should have been returned.

Additional info:
Comment 1 Ngo Than 2001-11-05 06:41:54 EST
please try the new pilot-link-0.9.5-9 in rawhide if it works
Comment 2 Bill Nottingham 2006-08-04 16:31:43 EDT
Red Hat Linux and Red Hat Powertools are currently no longer supported by Red
Hat, Inc. In an effort to clean up bugzilla, we are closing all bugs in MODIFIED
state for these products.

However, we do want to make sure that nothing important slips through the
cracks. If, in fact, these issues are not resolved in a current Fedora Core
Release (such as Fedora Core 5), please open a new issues stating so. Thanks.

Note You need to log in before you can comment on or make changes to this bug.